import { useTranslations } from "next-intl";
export default function PageFooter() {
    const t = useTranslations("pageFooter");
    return (
        <footer className="content-visibility-auto bg-[#15171A] border-t border-[#252629] w-full">
            <section className="mx-auto max-w-screen-2xl py-16 px-4 sm:px-6 md:px-16 text-sm space-y-8">
                {/* 这里可以添加您的其他 footer 内容 */}
                <div className="flex flex-col items-center">
                    <div className="text-center text-gray-300 text-sm">
                        &copy; {new Date().getFullYear()}{" "}
                        <span>{t("companyName")}</span> |{" "}
                        <span>{t("companyNameEn")}</span>
                    </div>
                    <div className="text-center text-gray-300 text-sm mt-2">
                        <a href={t("domain1")} target="_blank" rel="noopener noreferrer">
                            {t("domain1")}
                        </a>{" "}
                        |{" "}
                        <a href={t("domain2")} target="_blank" rel="noopener noreferrer">
                            {t("domain2")}
                        </a>
                    </div>
                    <div className="text-center text-gray-300 text-sm mt-2">
                        {t("icpNumber")}
                    </div>
                </div>
                <div className="flex flex-col-reverse md:flex-row justify-between mt-8">
                    {/* 其他内容 */}
                    <div className="text-[#BEFFD6] underline underline-offset-2 space-x-3">
                        <a href="/terms">{t("termsOfService")}</a>
                        <a href="/terms">{t("privacyPolicy")}</a>
                    </div>
                </div>
            </section>
        </footer>
    );
}
